ru.bitel.bgbilling.modules.smarthouse.server.bean

## Class Constants

- java.lang.Object
- - ru.bitel.bgbilling.common.bean.BGBaseConstants
  - - ru.bitel.bgbilling.modules.smarthouse.server.bean.Constants

-     public class Constants
      extends BGBaseConstants

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `FLUSSONICWATCHER_REQUEST_TIMEOUT_CONNECT`
    `static int` | `FLUSSONICWATCHER_REQUEST_TIMEOUT_READ`
    `static int` | `FORPOST_CAMERA_SKIP_CHECK`
    `static int` | `FORPOST_REQUEST_TIMEOUT_CONNECT`
    `static int` | `FORPOST_REQUEST_TIMEOUT_READ`
    `static java.lang.String` | `KEY_FLUSSONICWATCHER_API_KEY`
    `static java.lang.String` | `KEY_FLUSSONICWATCHER_REQUEST_TIMEOUT_CONNECT`
    `static java.lang.String` | `KEY_FLUSSONICWATCHER_REQUEST_TIMEOUT_READ`
    `static java.lang.String` | `KEY_FLUSSONICWATCHER_SERVER_URL`
    `static java.lang.String` | `KEY_FORPOST_ADMIN_LOGIN`
    `static java.lang.String` | `KEY_FORPOST_ADMIN_PASSWORD`
    `static java.lang.String` | `KEY_FORPOST_CAMERA_HTTP_PORT`
    `static java.lang.String` | `KEY_FORPOST_CAMERA_MODEL_ID`
    `static java.lang.String` | `KEY_FORPOST_CAMERA_PORT`
    `static java.lang.String` | `KEY_FORPOST_CAMERA_RECORD_TYPE`
    `static java.lang.String` | `KEY_FORPOST_CAMERA_SKIP_CHECK`
    `static java.lang.String` | `KEY_FORPOST_REQUEST_TIMEOUT_CONNECT`
    `static java.lang.String` | `KEY_FORPOST_REQUEST_TIMEOUT_READ`
    `static java.lang.String` | `KEY_FORPOST_SERVER_URL`
    `static java.lang.String` | `KEY_SPUTNIK_REQUEST_TIMEOUT_CONNECT`
    `static java.lang.String` | `KEY_SPUTNIK_REQUEST_TIMEOUT_READ`
    `static java.lang.String` | `KEY_SPUTNIK_SERVER_URL`
    `static java.lang.String` | `KEY_SPUTNIK_TOKEN`
    `static int` | `SPUTNIK_REQUEST_TIMEOUT_CONNECT`
    `static int` | `SPUTNIK_REQUEST_TIMEOUT_READ`
    `static java.lang.String` | `SPUTNIK_SERVER_URL`

    - ### Fields inherited from class ru.bitel.bgbilling.common.bean.BGBaseConstants

      `AUTOPAYMENT_MODE_MONTH_DAY_DEFAULT, AUTOPAYMENT_MODE_WEEK_DAY_DEFAULT, DEFAULT_FISCALIZATION_CUSTOMER_ADDRESS_TITLE, DEFAULT_SUM_MAX, DEFAULT_SUM_MIN, KEY_AUTOPAYMENT_ENABLE, KEY_AUTOPAYMENT_ID, KEY_AUTOPAYMENT_MODE, KEY_AUTOPAYMENT_MODE_AUTO_DAY_SUM, KEY_AUTOPAYMENT_MODE_AUTO_DAY_SUM_MAX, KEY_AUTOPAYMENT_MODE_AUTO_ENABLE, KEY_AUTOPAYMENT_MODE_AUTO_MONTH_SUM, KEY_AUTOPAYMENT_MODE_AUTO_MONTH_SUM_MAX, KEY_AUTOPAYMENT_MODE_AUTO_WEEK_SUM, KEY_AUTOPAYMENT_MODE_AUTO_WEEK_SUM_MAX, KEY_AUTOPAYMENT_MODE_MONTH_DAY, KEY_AUTOPAYMENT_MODE_MONTH_ENABLE, KEY_AUTOPAYMENT_MODE_MONTH_SUM, KEY_AUTOPAYMENT_MODE_MONTH_SUM_MAX, KEY_AUTOPAYMENT_MODE_MONTH_SUM_MIN, KEY_AUTOPAYMENT_MODE_WEEK_DAY, KEY_AUTOPAYMENT_MODE_WEEK_ENABLE, KEY_AUTOPAYMENT_MODE_WEEK_SUM, KEY_AUTOPAYMENT_MODE_WEEK_SUM_MAX, KEY_AUTOPAYMENT_MODE_WEEK_SUM_MIN, KEY_BILLING_NAME, KEY_COMMISSION_PERCENT, KEY_COMMISSION_TYPE, KEY_CUSTOMER_ADDRESS, KEY_CUSTOMER_ADDRESS_ENABLE, KEY_CUSTOMER_ADDRESS_REQUIRED, KEY_CUSTOMER_ADDRESS_TITLE, KEY_CUSTOMER_EMAIL, KEY_CUSTOMER_EMAIL_ENABLE, KEY_CUSTOMER_EMAIL_REQUIRED, KEY_MONTH, KEY_PAGE, KEY_PERIOD, KEY_STATUS, KEY_STATUS_LIST, KEY_SUM_MAX, KEY_SUM_MIN, KEY_TRANSACTIONS, KEY_YEAR, PATTERN_CARD, PATTERN_CONTRACT_COMMENT, PATTERN_CONTRACT_TITLE, PATTERN_TRANSACTION_ID, REQUEST_ATTR_CONTENT_TYPE, REQUEST_PARAM_CONTENT_TYPE, REQUEST_PARAM_CUSTOMER_ADDRESS, REQUEST_PARAM_CUSTOMER_EMAIL, REQUEST_PARAM_MONTH, REQUEST_PARAM_PAYMENT_EMAIL, REQUEST_PARAM_PAYMENT_PHONE, REQUEST_PARAM_STATUS, REQUEST_PARAM_SUM, REQUEST_PARAM_YEAR, STRING_AMP, STRING_EQUALS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Constants()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### FORPOST_CAMERA_SKIP_CHECK

          public static final int FORPOST_CAMERA_SKIP_CHECK

      See Also:
        Constant Field Values

    - #### FORPOST_REQUEST_TIMEOUT_READ

          public static final int FORPOST_REQUEST_TIMEOUT_READ

      See Also:
        Constant Field Values

    - #### FORPOST_REQUEST_TIMEOUT_CONNECT

          public static final int FORPOST_REQUEST_TIMEOUT_CONNECT

      See Also:
        Constant Field Values

    - #### SPUTNIK_REQUEST_TIMEOUT_READ

          public static final int SPUTNIK_REQUEST_TIMEOUT_READ

      See Also:
        Constant Field Values

    - #### SPUTNIK_REQUEST_TIMEOUT_CONNECT

          public static final int SPUTNIK_REQUEST_TIMEOUT_CONNECT

      See Also:
        Constant Field Values

    - #### SPUTNIK_SERVER_URL

          public static final java.lang.String SPUTNIK_SERVER_URL

      See Also:
        Constant Field Values

    - #### KEY_FORPOST_SERVER_URL

          public static final java.lang.String KEY_FORPOST_SERVER_URL

      See Also:
        Constant Field Values

    - #### KEY_FORPOST_REQUEST_TIMEOUT_READ

          public static final java.lang.String KEY_FORPOST_REQUEST_TIMEOUT_READ

      See Also:
        Constant Field Values

    - #### KEY_FORPOST_REQUEST_TIMEOUT_CONNECT

          public static final java.lang.String KEY_FORPOST_REQUEST_TIMEOUT_CONNECT

      See Also:
        Constant Field Values

    - #### KEY_FORPOST_ADMIN_LOGIN

          public static final java.lang.String KEY_FORPOST_ADMIN_LOGIN

      See Also:
        Constant Field Values

    - #### KEY_FORPOST_ADMIN_PASSWORD

          public static final java.lang.String KEY_FORPOST_ADMIN_PASSWORD

      See Also:
        Constant Field Values

    - #### KEY_FORPOST_CAMERA_SKIP_CHECK

          public static final java.lang.String KEY_FORPOST_CAMERA_SKIP_CHECK

      See Also:
        Constant Field Values

    - #### KEY_FORPOST_CAMERA_MODEL_ID

          public static final java.lang.String KEY_FORPOST_CAMERA_MODEL_ID

      See Also:
        Constant Field Values

    - #### KEY_FORPOST_CAMERA_HTTP_PORT

          public static final java.lang.String KEY_FORPOST_CAMERA_HTTP_PORT

      See Also:
        Constant Field Values

    - #### KEY_FORPOST_CAMERA_PORT

          public static final java.lang.String KEY_FORPOST_CAMERA_PORT

      See Also:
        Constant Field Values

    - #### KEY_FORPOST_CAMERA_RECORD_TYPE

          public static final java.lang.String KEY_FORPOST_CAMERA_RECORD_TYPE

      See Also:
        Constant Field Values

    - #### KEY_SPUTNIK_SERVER_URL

          public static final java.lang.String KEY_SPUTNIK_SERVER_URL

      See Also:
        Constant Field Values

    - #### KEY_SPUTNIK_REQUEST_TIMEOUT_READ

          public static final java.lang.String KEY_SPUTNIK_REQUEST_TIMEOUT_READ

      See Also:
        Constant Field Values

    - #### KEY_SPUTNIK_REQUEST_TIMEOUT_CONNECT

          public static final java.lang.String KEY_SPUTNIK_REQUEST_TIMEOUT_CONNECT

      See Also:
        Constant Field Values

    - #### KEY_SPUTNIK_TOKEN

          public static final java.lang.String KEY_SPUTNIK_TOKEN

      See Also:
        Constant Field Values

    - #### FLUSSONICWATCHER_REQUEST_TIMEOUT_READ

          public static final int FLUSSONICWATCHER_REQUEST_TIMEOUT_READ

      See Also:
        Constant Field Values

    - #### FLUSSONICWATCHER_REQUEST_TIMEOUT_CONNECT

          public static final int FLUSSONICWATCHER_REQUEST_TIMEOUT_CONNECT

      See Also:
        Constant Field Values

    - #### KEY_FLUSSONICWATCHER_API_KEY

          public static final java.lang.String KEY_FLUSSONICWATCHER_API_KEY

      See Also:
        Constant Field Values

    - #### KEY_FLUSSONICWATCHER_SERVER_URL

          public static final java.lang.String KEY_FLUSSONICWATCHER_SERVER_URL

      See Also:
        Constant Field Values

    - #### KEY_FLUSSONICWATCHER_REQUEST_TIMEOUT_READ

          public static final java.lang.String KEY_FLUSSONICWATCHER_REQUEST_TIMEOUT_READ

      See Also:
        Constant Field Values

    - #### KEY_FLUSSONICWATCHER_REQUEST_TIMEOUT_CONNECT

          public static final java.lang.String KEY_FLUSSONICWATCHER_REQUEST_TIMEOUT_CONNECT

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Constants

          public Constants()